from setuptools import setup, find_packages
import setuptools

def parse_requirements(filename):
    """ load requirements from a pip requirements file """
    with open(filename) as f:
        required = f.read().splitlines()
    return required



VERSION = "1.1.0"
DESCRIPTION = "CEA-DNN Latent Space Out-of-Distribution Detection"
LONG_DESCRIPTION = "CEA package for Out-of-Distribution Detection in DNN Latent Space"

# Setting up
setup(
    # the name must match the folder name 'verysimplemodule'
    name="ls_ood_detect_cea",
    version=VERSION,
    author="Fabio Arnez",
    author_email="<farnez@cea.fr>",
    description=DESCRIPTION,
    long_description=LONG_DESCRIPTION,
    python_requires=">=3.7",
    packages=find_packages(),
    # install_requires=['torch',
    #                   'torchvision',
    #                   'pytorch-lightning',
    #                   'torchmetrics'],  # add any additional packages that
    # needs to be installed along with your package. Eg: 'caer'
    install_requires=parse_requirements('requirements.txt'),
    keywords=["out-of-distribution detection", "DNNs"],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Confiance-AI Partners",
        "Programming Language :: Python :: 3",
        "Operating System :: Linux",
    ],
)
